[tool.poetry]
name = "vault-service-mock"
version = "0.2.1"
description = "The Vault Service Mock provides secrets configuration read from JSON via the same API as the real Vault Service"
authors = ["Daniel Romberg <daniel.romberg@mevis.fraunhofer.de>"]
license = "MIT"

[tool.poetry.dependencies]
python = "^3.8"
fastapi = "^0.63.0"
uvicorn = {extras = ["standard"], version = "^0.13.3"}
pydantic = "^1.7.3"
motor = "^2.4.0"

[tool.poetry.dev-dependencies]
pytest = "^6.1.2"
pytest-asyncio = "^0.14.0"
requests = "^2.25.0"
black = "^20.8b1"
isort = "^5.7.0"
pytest-cov = "^2.11.1"
pylint = "^2.7.2"
pycodestyle = "^2.7.0"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.black]
line-length = 120

[tool.isort]
line_length = 120
profile = "black"
multi_line_output = 3
include_trailing_comma = true

[tool.pylint."MASTER"]
ignored-modules = ["pydantic"]

[tool.pylint."MESSAGES CONTROL"]
max-line-length = 120
disable = "R,C,W0613,W0511"
